
Katello - Bug #4634

NPM install fails due to Karma dependency

03/11/2014 02:35 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

npm ERR! peerinvalid The package karma does not satisfy its siblings' peerDependencies requirements!

npm ERR! peerinvalid Peer grunt-karma@0.6.2 wants karma@~0.10.0

npm ERR! peerinvalid Peer karma-coverage@0.1.0 wants karma@>=0.9

npm ERR! peerinvalid Peer karma-jasmine@0.1.5 wants karma@>=0.9

npm ERR! peerinvalid Peer karma-ng-html2js-preprocessor@0.1.0 wants karma@>=0.9

npm ERR! peerinvalid Peer karma-chrome-launcher@0.1.2 wants karma@>=0.9.3

npm ERR! peerinvalid Peer karma-firefox-launcher@0.1.3 wants karma@>=0.9

npm ERR! peerinvalid Peer karma-html2js-preprocessor@0.1.0 wants karma@>=0.9

npm ERR! peerinvalid Peer karma-requirejs@0.2.1 wants karma@>=0.9

npm ERR! peerinvalid Peer karma-script-launcher@0.1.0 wants karma@>=0.9

npm ERR! peerinvalid Peer karma-coffee-preprocessor@0.2.0 wants karma@>=0.11.14

npm ERR! peerinvalid Peer karma-phantomjs-launcher@0.1.2 wants karma@>=0.9

npm ERR! System Linux 2.6.32-431.3.1.el6.x86_64

npm ERR! command "node" "/usr/bin/npm" "install"

npm ERR! cwd /var/lib/workspace/workspace/test_katello_javascript/default/plugin/engines/bastion

npm ERR! node -v v0.10.25

npm ERR! npm -v 1.3.6

npm ERR! code EPEERINVALID

Associated revisions

Revision c256ebe9 - 03/11/2014 10:35 AM - Eric Helms

Fixes #4634: Set karma-coffee-preprocessor version to prevent newer

version which requires Karma 0.12.0.

Revision bccdbc50 - 03/11/2014 02:35 PM - Eric Helms

Fixes #4634: Set karma-coffee-preprocessor version to prevent newer

version which requires Karma 0.12.0.

Revision f6e2a612 - 03/11/2014 03:47 PM - Eric Helms

Merge pull request #3795 from ehelms/fixes-4634

Fixes #4634: Set karma-coffee-preprocessor version to prevent newer

History

#1 - 03/11/2014 03:53 PM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:bccdbc50bed2eb32cf3b5b29652c62634532f9a5.

#2 - 06/06/2014 01:40 PM - Eric Helms
- Triaged set to Yes

#3 - 08/21/2014 02:30 PM - Eric Helms

- translation missing: en.field_release set to 13
